Returns associative array of the input headers

- « EventHttpRequest::getInputBuffer

- EventHttpRequest::getOutputBuffer »

- PHP Manual
- EventHttpRequest
- Returns associative array of the input headers

# EventHttpRequest::getInputHeaders

(PECL event >= 1.4.0-beta)

EventHttpRequest::getInputHeaders — Returns associative array of the input headers

### Description

public EventHttpRequest::getInputHeaders(): array

Returns associative array of the input headers.

### Parameters

This function has no parameters.

### Return Values

Returns associative array of the input headers.

### See Also

- EventHttpRequest::getOutputHeaders() - Returns associative array of the output headers